Package Details: liquidsoap 1.4.4-2

Git Clone URL: https://aur.archlinux.org/liquidsoap.git (read-only, click to copy)
Package Base: liquidsoap
Description: A swiss-army knife for multimedia streaming, notably used for netradios and webtvs
Upstream URL: https://www.liquidsoap.info
Keywords: language liquidsoap streaming
Licenses: GPL
Conflicts: liquidsoap-full, liquidsoap-git
Submitter: mefistofeles
Maintainer: robertfoster
Last Packager: robertfoster
Votes: 13
Popularity: 0.010162
First Submitted: 2009-02-14 21:32
Last Updated: 2021-03-16 14:30

Pinned Comments

robertfoster commented on 2021-03-10 11:02

1.4.4 now builds successfully.

Before any compilation error report, please rebuild the related ocaml-* packages

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 9 10 Next › Last »

ashaman-crypto commented on 2017-06-12 00:39

Getting a build error, on more than one box:
File "_none_", line 1:
Error: Files /usr/lib/ocaml/frei0r/frei0r.cmxa and /usr/lib/ocaml/stdlib.cmxa
make inconsistent assumptions over implementation Sys
make[3]: *** [../Makefile.rules:110: liquidsoap] Error 2
make[3]: Leaving directory '/home/pacman/.cache/pacaur/liquidsoap/src/liquidsoap-1.3.1-full/liquidsoap-1.3.1/src'
make[2]: *** [../Makefile.rules:67: all-auto-ocaml-prog] Error 2
make[2]: Leaving directory '/home/pacman/.cache/pacaur/liquidsoap/src/liquidsoap-1.3.1-full/liquidsoap-1.3.1/src'
make[1]: *** [Makefile.rules:27: all-subdirs] Error 2
make[1]: Leaving directory '/home/pacman/.cache/pacaur/liquidsoap/src/liquidsoap-1.3.1-full/liquidsoap-1.3.1'
make: *** [Makefile:11: all] Error 1
==> ERROR: A failure occurred in build().
Aborting...

robertfoster commented on 2016-12-29 10:21

waiting for ocaml-ssl update...

robertfoster commented on 2016-11-20 11:15

However for those who quickly need:

https://github.com/M0Rf30/PKGBUILD/tree/master/liquidsoap

robertfoster commented on 2016-11-20 10:44

@leonardder: Sorry man but when I try to push local commits it fails. Is there another operation to push as a co-maintainer?

git-receive-pack: permission denied: M0Rf30
fatal: Could not read from remote repository.

Please make sure you have the correct access rights
and the repository exists.

leonardder commented on 2016-11-18 17:56

@M0Rf30: I added you as co-maintainer, so feel free to fix it. You shouldn't flag packages out of date due to compiling errors, though.

robertfoster commented on 2016-11-17 19:14

This is a working solution:
https://gist.github.com/M0Rf30/f608fa21cb89e91c046b82f78252c139

Yamakaky commented on 2016-11-17 17:12

/usr/lib/ocaml/caml/memory.h:224:12: erreur : ‘caml__frame’ undeclared (first use in this function)
(void) caml__frame, \

robertfoster commented on 2016-11-07 14:41

sudo /usr/bin/systemd-tmpfiles --create --remove --boot --exclude-prefix=/dev
[/usr/lib/tmpfiles.d/liquidsoap.conf:1] Unknown user 'liquidsoap'.

leonardder commented on 2016-10-22 06:46

You can run makepkg with the "-A" flag for that. I'm not going to add armv7h to this package, unless all dependencies have it.

ashaman-crypto commented on 2016-10-21 18:46

Any chance of adding armv7h support for rasberrypi3?